"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _startsWith = _interopRequireDefault(require("@dword-design/functions/dist/starts-with"));

var _babelPluginModuleResolver = require("babel-plugin-module-resolver");

var _findUp = _interopRequireDefault(require("find-up"));

var _getPackageName = _interopRequireDefault(require("get-package-name"));

var _paramCase = require("param-case");

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  presets: [[(0, _getPackageName.default)(require.resolve('@babel/preset-env')), {
    targets: {
      node: 10
    }
  }]],
  plugins: [(0, _getPackageName.default)(require.resolve('@babel/plugin-proposal-optional-chaining')), [(0, _getPackageName.default)(require.resolve('@babel/plugin-proposal-pipeline-operator')), {
    proposal: 'fsharp'
  }], (0, _getPackageName.default)(require.resolve('babel-plugin-add-module-exports')), [(0, _getPackageName.default)(require.resolve('babel-plugin-module-resolver')), {
    alias: {
      '@': '.'
    },
    resolvePath: (sourcePath, currentFile, options) => {
      var _rootDir;

      const rootPath = _findUp.default.sync('.root', {
        cwd: _path.default.dirname(currentFile)
      });

      const rootDir = rootPath ? _path.default.dirname(rootPath) : rootPath;
      return (0, _babelPluginModuleResolver.resolvePath)(sourcePath, currentFile, { ...options,
        cwd: rootDir && (_rootDir = rootDir, (0, _startsWith.default)(process.cwd())(_rootDir)) ? rootDir : process.cwd()
      });
    }
  }], [(0, _getPackageName.default)(require.resolve('babel-plugin-transform-imports')), {
    [(0, _getPackageName.default)(require.resolve('@dword-design/functions'))]: {
      transform: importName => {
        var _importName;

        return `@dword-design/functions/dist/${(_importName = importName, (0, _paramCase.paramCase)(_importName))}`;
      }
    }
  }]]
};
exports.default = _default;
module.exports = exports.default;